#property copyright "mladen"
#property link      "mladenfx@gmail.com"
#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 LimeGreen

//
//
//
//
//

extern int    timeFrame       = 0;
extern int    LineWidth       = 2;
extern color  LineColor       = LimeGreen;

double open[];

color background;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   background = ChartGetInteger(0,CHART_COLOR_BACKGROUND);
   SetIndexBuffer(0,open); SetIndexStyle(0,DRAW_LINE,EMPTY,LineWidth,LineColor);
      timeFrame = MathMax(timeFrame,Period());
   return(0);
}
int deinit()
{
   ObjectDelete("Open0");
   ObjectDelete("Open1");
   ObjectDelete("Open2");
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           int limit = MathMin(MathMax(Bars-counted_bars,3*timeFrame/Period()),Bars-1);

   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--) open[i] = iOpen(NULL,timeFrame,iBarShift(NULL,timeFrame,Time[i]));
   
   ObjectCreate("Open0",OBJ_HLINE,0,0,open[0]);
      ObjectSet("Open0",OBJPROP_COLOR,LineColor);
      ObjectSet("Open0",OBJPROP_WIDTH,LineWidth);
      ObjectSet("Open0",OBJPROP_BACK,false);
     ObjectMove("Open0",0,iTime(NULL,timeFrame,0),open[0]);
   
   ObjectCreate("Open1",OBJ_TREND,0,0,open[0],0,open[0]);
      ObjectSet("Open1",OBJPROP_COLOR,background);
      ObjectSet("Open1",OBJPROP_WIDTH,LineWidth);
      ObjectSet("Open1",OBJPROP_BACK,false);
      ObjectSet("Open1",OBJPROP_RAY,false);
      ObjectSet("Open1",OBJPROP_PRICE1,open[0]);
      ObjectSet("Open1",OBJPROP_PRICE2,open[0]);
      ObjectSet("Open1",OBJPROP_TIME1,iTime(NULL,timeFrame,Bars));
      ObjectSet("Open1",OBJPROP_TIME2,iTime(NULL,timeFrame,0));
      
   ObjectCreate("Open2",OBJ_TREND,0,0,open[0],0,open[0]);
      ObjectSet("Open2",OBJPROP_COLOR,background);
      ObjectSet("Open2",OBJPROP_WIDTH,LineWidth);
      ObjectSet("Open2",OBJPROP_BACK,false);
      ObjectSet("Open2",OBJPROP_RAY,false);
      ObjectSet("Open2",OBJPROP_PRICE1,open[0]);
      ObjectSet("Open2",OBJPROP_PRICE2,open[0]);
      ObjectSet("Open2",OBJPROP_TIME1,iTime(NULL,0,0));
      ObjectSet("Open2",OBJPROP_TIME2,iTime(NULL,0,0)+120*Period());
   return(0);
}